package json.serializers;

import com.ether.user.User;
import net.sf.json.JSONObject;
import net.sf.json.JsonConfig;

public class UserJsonSerializer
        extends AbstractJsonSerializer<User>
{
    public JSONObject process( final User user, final JsonConfig jsonConfig )
    {
        final JSONObject result = new JSONObject();

        serialize( result, "id", user.getId(), jsonConfig );
        serialize( result, "lastName", user.getLastName(), jsonConfig );
        serialize( result, "firstName", user.getFirstName(), jsonConfig );
        serialize( result, "accessToBO", user.isAccessToBO(), jsonConfig );
        serialize( result, "creationDate", user.getCreationDate(), jsonConfig );
        serialize( result, "email", user.getEmail(), jsonConfig );
        serialize( result, "role", user.getRole(), jsonConfig );
        serialize( result, "state", user.getState(), jsonConfig );

        return result;
    }
}